SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (E-mail Server)  >   Exim Vendors:   Exim.org
(Conectiva Issues Fix) Exim Heap Overflow in 'smtp_in.c' May Allow Remote Arbitrary Code Execution
SecurityTracker Alert ID:  1007649
SecurityTracker URL:  http://securitytracker.com/id/1007649
CVE Reference:   CVE-2003-0743   (Links to External Site)
Date:  Sep 5 2003
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3, 4 (prior to 4.21)
Description:   A vulnerability was reported in the Exim mail transfer agent. A remote user can trigger a heap overflow.

It is reported that a remote user can connect to the target system via the SMTP port and send specially crafted data to trigger a heap overflow. According to the report, the overflow is "probably not exploitable," but the report admits that this statement may be proven false on some platforms and in some situations.

The flaw resides in 'smtp_in.c' in the processing of HELO strings.

Impact:   A remote user may be able to execute arbitrary code on the system (however, that was not confirmed in the report).
Solution:   Conectiva has released a fix.

ftp://atualizacoes.conectiva.com.br/7.0/SRPMS/exim-3.22-9U70_2cl.src.rpm
ftp://atualizacoes.conectiva.com.br/7.0/RPMS/exim-3.22-9U70_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/7.0/RPMS/exim-config-samples-3.22-9U70_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/7.0/RPMS/exim-doc-3.22-9U70_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/7.0/RPMS/exim-mon-3.22-9U70_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/8/SRPMS/exim-3.33-4U80_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/exim-3.33-4U80_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/exim-config-samples-3.33-4U80_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/exim-doc-3.33-4U80_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/exim-mon-3.33-4U80_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/9/SRPMS/exim-3.36-28816U90_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/exim-3.36-28816U90_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/exim-config-samples-3.36-28816U90_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/exim-doc-3.36-28816U90_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/exim-mon-3.36-28816U90_1cl.i386.rpm

Vendor URL:  www.exim.org/pipermail/exim-announce/2003q3/000094.html (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Conectiva)
Underlying OS Comments:  7.0, 8, 9

Message History:   This archive entry is a follow-up to the message listed below.
Sep 3 2003 Exim Heap Overflow in 'smtp_in.c' May Allow Remote Arbitrary Code Execution



 Source Message Contents

Subject:  [conectiva-updates] [CLA-2003:735] Conectiva Security Announcement - exim


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
CONECTIVA LINUX SECURITY ANNOUNCEMENT 
- --------------------------------------------------------------------------

PACKAGE   : exim
SUMMARY   : Remote buffer overflow vulnerability
DATE      : 2003-09-05 15:11:00
ID        : CLA-2003:735
RELEVANT
RELEASES  : 7.0, 8, 9

- -------------------------------------------------------------------------

DESCRIPTION
 Exim[1] is a popular email server (MTA).
 
 A remote heap buffer overflow vulnerability[2] has been reported[3]
 in the Exim server. Carefully constructed EHLO/HELO messages can
 cause a buffer overflow. By the time this message is processed, Exim
 is no longer running with administrator privileges. At this time,
 this vulnerability is believed to be difficult to exploit.
 
 Exim is not installed nor started by default on Conectiva Linux.


SOLUTION
 It is recommended that all Exim users upgrade their packages. After
 the upgrade, Exim will be automatically restarted if it was already
 running.
 
 
 REFERENCES
 1. http://www.exim.org/
 2. http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2003-0743
 3. http://www.exim.org/pipermail/exim-announce/2003q3/000094.html


UPDATED PACKAGES
ftp://atualizacoes.conectiva.com.br/7.0/SRPMS/exim-3.22-9U70_2cl.src.rpm
ftp://atualizacoes.conectiva.com.br/7.0/RPMS/exim-3.22-9U70_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/7.0/RPMS/exim-config-samples-3.22-9U70_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/7.0/RPMS/exim-doc-3.22-9U70_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/7.0/RPMS/exim-mon-3.22-9U70_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/8/SRPMS/exim-3.33-4U80_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/exim-3.33-4U80_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/exim-config-samples-3.33-4U80_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/exim-doc-3.33-4U80_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/exim-mon-3.33-4U80_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/9/SRPMS/exim-3.36-28816U90_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/exim-3.36-28816U90_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/exim-config-samples-3.36-28816U90_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/exim-doc-3.36-28816U90_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/exim-mon-3.36-28816U90_1cl.i386.rpm


ADDITIONAL INSTRUCTIONS
 The apt tool can be used to perform RPM packages upgrades:

 - run:                 apt-get update
 - after that, execute: apt-get upgrade

 Detailed instructions reagarding the use of apt and upgrade examples 
 can be found at http://distro.conectiva.com.br/atualizacoes/#apt?idioma=en

- -------------------------------------------------------------------------
All packages are signed with Conectiva's GPG key. The key and instructions
on how to import it can be found at 
http://distro.conectiva.com.br/seguranca/chave/?idioma=en
Instructions on how to check the signatures of the RPM packages can be
found at http://distro.conectiva.com.br/seguranca/politica/?idioma=en

- -------------------------------------------------------------------------
All our advisories and generic update instructions can be viewed at
http://distro.conectiva.com.br/atualizacoes/?idioma=en

- -------------------------------------------------------------------------
Copyright (c) 2003 Conectiva Inc.
http://www.conectiva.com

- -------------------------------------------------------------------------
subscribe: conectiva-updates-subscribe@papaleguas.conectiva.com.br
unsubscribe: conectiva-updates-unsubscribe@papaleguas.conectiva.com.br
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE/WNIJ42jd0JmAcZARAktGAJ9oLXya1+UNJGKmczQ+Jj/CPQL8yQCgrzhe
X8dhvhMM0ifdmZxcAE7TTgc=
=f5Zy
-----END PGP SIGNATURE-----



 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC